wmppp.app(1)

NAME
wmppp - Graphically monitor the average PPP load

SYNOPSIS
wmppp [OPTIONS]

DESCRIPTION
wmppp.app displays a dynamic representation of the load on the PPP line on a 64x64 miniwindow. It also starts and stops the connection and displays the time enlapsed since the it came up. The traffic on the interface is also monitored.

OPTIONS

-display <display name>
    name of display to use

-geometry +XPOS+YPOS
    initial window position

-t  sets the on-line timer to display MM:SS instead of the default HH:MM.

-u <update rate>
    sets the frequency, in seconds, for updates to the display. Valid range is 1-10, default value is 5.

-i <device>
    choose the net device (ppp1, ippp0, etc.) to monitor. (Note that this feature is EXPERIMENTAL and should be used with caution. Bug reports are welcomed.)

-speed <cmd>
    command to report connection speed

-start <cmd>
    command to connect

-stop <cmd>
    command to disconnect

-ifdown <cmd>
    command to redial

-stampfile <path>
    file used to calculate uptime

-h  displays a command line summary

-v  displays the version number.

CONFIGURATION
The configuration file (see below) may contain any of the following key-value pairs. The format is key: value. Note that these values will be overwritten by the corresponding command line options.

start
    The program that starts the connection

stop
    The program that stops the connection

speed
    This program reports the speed of the connection. This program should output <speed>, that is, a number is expected and not the whole

ifdown
    This program is run if the line goes down, and the stop program hasn't been run. (Redial program)

stampfile
    The modification time of this file is used to calculate the amount of time the connection has been up. Something like touch <stampfile> should be run for this to work.

FILES

/var/run/wmppp.ppp0
    this is the stamp file use to determine the amount of time enlapsed since the connection came up. This file should be managed by the ip-up and ip-down scripts. On Debian systems, /etc/ppp/ip-up.d/00wmppp creates the file, and /etc/ppp/ip-down.d/00wmppp removes it.

/etc/wmppprc
    System wide defaults

$HOME/.wmppprc
    User defined settings

/etc/wmppprc.fixed
    System wide fixed options, this overrides the user settings

AUTHORS
wmppp.app was written by Martijn Pieterse <pieterse@xs4all.nl> and Antoine Nulle <warp@xs4all.nl>, and it's based on work by Beat Christen <bchriste@iiic.ethz.ch> (asclock) and Michael Callahan <callahan@maths.ox.ac.uk>, Al Longyear longyear@netcom.com and Paul Mackerras <Paul.Mackerras@cs.anu.edu.au> (pppstats).

Email regarding wmppp should be sent to wmaker-dev@googlegroups.com.

This manpage was written by Marcelo Magallon <mmagallo@debian.org for the Debian Project

SEE ALSO
pppd(8), pppstats(8), plog(1), pon(1), poff(1)